ruby-serverspec_2.18.0-1_all.deb


Advertisement

Description

ruby-serverspec - RSpec tests for your servers configured by Puppet, Chef or anything else

Property Value
Distribution Ubuntu 16.04 LTS (Xenial Xerus)
Repository Ubuntu Universe i386
Package name ruby-serverspec
Package version 2.18.0
Package release 1
Package architecture all
Package type deb
Installed size 127 B
Download size 17.94 KB
Official Mirror archive.ubuntu.com
With serverspec, you can write RSpec tests for checking your servers
are configured correctly.
Serverspec tests your servers' actual state through SSH access, so
you don't need to install any agent software on your servers and
can use any configuration management tools, Puppet, Chef, CFEngine
and so on.

Alternatives

Package Version Architecture Repository
ruby-serverspec_2.18.0-1_all.deb 2.18.0 all Ubuntu Universe
ruby-serverspec - - -

Requires

Name Value
ruby -
ruby-interpreter -
ruby-multi-json -
ruby-rspec >= 3.0
ruby-rspec-its -
ruby-specinfra >= 2.35

Download

Type URL
Binary Package ruby-serverspec_2.18.0-1_all.deb
Source Package ruby-serverspec

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install ruby-serverspec deb package:
    # sudo apt-get install ruby-serverspec

Files

Path
/usr/bin/serverspec-init
/usr/lib/ruby/vendor_ruby/serverspec.rb
/usr/lib/ruby/vendor_ruby/serverspec/helper.rb
/usr/lib/ruby/vendor_ruby/serverspec/matcher.rb
/usr/lib/ruby/vendor_ruby/serverspec/power_assert.rb
/usr/lib/ruby/vendor_ruby/serverspec/setup.rb
/usr/lib/ruby/vendor_ruby/serverspec/subject.rb
/usr/lib/ruby/vendor_ruby/serverspec/version.rb
/usr/lib/ruby/vendor_ruby/serverspec/commands/base.rb
/usr/lib/ruby/vendor_ruby/serverspec/helper/type.rb
/usr/lib/ruby/vendor_ruby/serverspec/matcher/be_enabled.rb
/usr/lib/ruby/vendor_ruby/serverspec/matcher/be_executable.rb
/usr/lib/ruby/vendor_ruby/serverspec/matcher/be_installed.rb
/usr/lib/ruby/vendor_ruby/serverspec/matcher/be_listening.rb
/usr/lib/ruby/vendor_ruby/serverspec/matcher/be_mounted.rb
/usr/lib/ruby/vendor_ruby/serverspec/matcher/be_reachable.rb
/usr/lib/ruby/vendor_ruby/serverspec/matcher/be_readable.rb
/usr/lib/ruby/vendor_ruby/serverspec/matcher/be_resolvable.rb
/usr/lib/ruby/vendor_ruby/serverspec/matcher/be_running.rb
/usr/lib/ruby/vendor_ruby/serverspec/matcher/be_writable.rb
/usr/lib/ruby/vendor_ruby/serverspec/matcher/belong_to_group.rb
/usr/lib/ruby/vendor_ruby/serverspec/matcher/belong_to_primary_group.rb
/usr/lib/ruby/vendor_ruby/serverspec/matcher/contain.rb
/usr/lib/ruby/vendor_ruby/serverspec/matcher/have_entry.rb
/usr/lib/ruby/vendor_ruby/serverspec/matcher/have_rule.rb
/usr/lib/ruby/vendor_ruby/serverspec/matcher/have_site_application.rb
/usr/lib/ruby/vendor_ruby/serverspec/matcher/have_site_bindings.rb
/usr/lib/ruby/vendor_ruby/serverspec/matcher/have_virtual_dir.rb
/usr/lib/ruby/vendor_ruby/serverspec/type/base.rb
/usr/lib/ruby/vendor_ruby/serverspec/type/bond.rb
/usr/lib/ruby/vendor_ruby/serverspec/type/bridge.rb
/usr/lib/ruby/vendor_ruby/serverspec/type/cgroup.rb
/usr/lib/ruby/vendor_ruby/serverspec/type/command.rb
/usr/lib/ruby/vendor_ruby/serverspec/type/cron.rb
/usr/lib/ruby/vendor_ruby/serverspec/type/default_gateway.rb
/usr/lib/ruby/vendor_ruby/serverspec/type/docker_base.rb
/usr/lib/ruby/vendor_ruby/serverspec/type/docker_container.rb
/usr/lib/ruby/vendor_ruby/serverspec/type/docker_image.rb
/usr/lib/ruby/vendor_ruby/serverspec/type/file.rb
/usr/lib/ruby/vendor_ruby/serverspec/type/fstab.rb
/usr/lib/ruby/vendor_ruby/serverspec/type/group.rb
/usr/lib/ruby/vendor_ruby/serverspec/type/host.rb
/usr/lib/ruby/vendor_ruby/serverspec/type/iis_app_pool.rb
/usr/lib/ruby/vendor_ruby/serverspec/type/iis_website.rb
/usr/lib/ruby/vendor_ruby/serverspec/type/interface.rb
/usr/lib/ruby/vendor_ruby/serverspec/type/ip6tables.rb
/usr/lib/ruby/vendor_ruby/serverspec/type/ipfilter.rb
/usr/lib/ruby/vendor_ruby/serverspec/type/ipnat.rb
/usr/lib/ruby/vendor_ruby/serverspec/type/iptables.rb
/usr/lib/ruby/vendor_ruby/serverspec/type/kernel_module.rb
/usr/lib/ruby/vendor_ruby/serverspec/type/linux_kernel_parameter.rb
/usr/lib/ruby/vendor_ruby/serverspec/type/lxc.rb
/usr/lib/ruby/vendor_ruby/serverspec/type/mail_alias.rb
/usr/lib/ruby/vendor_ruby/serverspec/type/package.rb
/usr/lib/ruby/vendor_ruby/serverspec/type/php_config.rb
/usr/lib/ruby/vendor_ruby/serverspec/type/port.rb
/usr/lib/ruby/vendor_ruby/serverspec/type/ppa.rb
/usr/lib/ruby/vendor_ruby/serverspec/type/process.rb
/usr/lib/ruby/vendor_ruby/serverspec/type/routing_table.rb
/usr/lib/ruby/vendor_ruby/serverspec/type/selinux.rb
/usr/lib/ruby/vendor_ruby/serverspec/type/selinux_module.rb
/usr/lib/ruby/vendor_ruby/serverspec/type/service.rb
/usr/lib/ruby/vendor_ruby/serverspec/type/user.rb
/usr/lib/ruby/vendor_ruby/serverspec/type/windows_feature.rb
/usr/lib/ruby/vendor_ruby/serverspec/type/windows_hot_fix.rb
/usr/lib/ruby/vendor_ruby/serverspec/type/windows_registry_key.rb
/usr/lib/ruby/vendor_ruby/serverspec/type/windows_scheduled_task.rb
/usr/lib/ruby/vendor_ruby/serverspec/type/x509_certificate.rb
/usr/lib/ruby/vendor_ruby/serverspec/type/x509_private_key.rb
/usr/lib/ruby/vendor_ruby/serverspec/type/yumrepo.rb
/usr/lib/ruby/vendor_ruby/serverspec/type/zfs.rb
/usr/share/doc/ruby-serverspec/README.md
/usr/share/doc/ruby-serverspec/changelog.Debian.gz
/usr/share/doc/ruby-serverspec/copyright
/usr/share/man/man1/serverspec-init.1.gz
/usr/share/rubygems-integration/all/specifications/serverspec-2.18.0.gemspec

Changelog

2015-06-18 - Antonio Terceiro <terceiro@debian.org>
ruby-serverspec (2.18.0-1) unstable; urgency=medium
* Team upload
* New upstream release
* debian/patches/old-rspec: dropped, we want the new rspec now
* debian/patches/fix-example: dropped, not needed anymore
* Update packaging with a new dh-make-ruby run
* debian/ruby-tests.rake: load upstream Rakefile instead of duplicating it
2014-10-08 - KURASHIKI Satoru <lurdan@gmail.com>
ruby-serverspec (1.14.0-2) unstable; urgency=medium
* New Standard-Version: 3.9.6
* patch to use old rspec (< 3) (Closes: #761729)
2014-08-22 - KURASHIKI Satoru <lurdan@gmail.com>
ruby-serverspec (1.14.0-1) unstable; urgency=medium
* New upstream release.
2014-05-09 - KURASHIKI Satoru <lurdan@gmail.com>
ruby-serverspec (1.6.0-1) unstable; urgency=medium
* New upstream release.
2014-03-26 - KURASHIKI Satoru <lurdan@gmail.com>
ruby-serverspec (0.15.5-1) unstable; urgency=medium
* New upstream release.
2013-12-28 - KURASHIKI Satoru <lurdan@gmail.com>
ruby-serverspec (0.14.2-1) unstable; urgency=low
* New upstream release.
* fix FTBFS by changing test config. (Closes: #730924)
* Now depends on ruby-specinfra.
2013-10-08 - KURASHIKI Satoru <lurdan@gmail.com>
ruby-serverspec (0.9.8-1) unstable; urgency=low
* New upstream release.
* debian/control: add VCS-* field.
2013-09-24 - KURASHIKI Satoru <lurdan@gmail.com>
ruby-serverspec (0.9.4-1) unstable; urgency=low
* New upstream release.
2013-07-31 - KURASHIKI Satoru <lurdan@gmail.com>
ruby-serverspec (0.7.2-1) unstable; urgency=low
* Initial release (Closes: #716662)

See Also

Package Description
ruby-session_3.2.0-1_all.deb persistent connections with external programs like bash (via pipes)
ruby-settingslogic-doc_2.0.9-3_all.deb simple settings solution for Ruby (documentation)
ruby-settingslogic_2.0.9-3_all.deb simple settings solution for Ruby
ruby-setup_3.4.1-9_all.deb the setup.rb install tool for Ruby
ruby-sexp-processor_4.4.4-1_all.deb brings all the generic sexp processing tools to ruby
ruby-shadow_2.4.1-1build4_i386.deb interface of shadow password for Ruby
ruby-sham-rack_1.3.6-6_all.deb Net::HTTP-to-Rack plumbing for HTTP testing
ruby-shindo_0.3.8-1_all.deb simple depth first Ruby testing
ruby-shoulda-context_1.2.0-1_all.deb context framework for Test::Unit
ruby-shoulda-matchers_1.0.0~beta2-1build1_all.deb Test helpers for Rails applications, compatible with Test::Unit and RSpec
ruby-shoulda_3.5.0-3build1_all.deb additional features for the Test::Unit testing framework
ruby-sidekiq-cron_0.4.2-4_all.deb scheduling add-on for Sidekiq
ruby-sidekiq_4.0.1+dfsg-2_all.deb Simple, efficient background processing for Ruby
ruby-sigar_0.7.3-1build3_i386.deb System Information Gatherer And Reporter
ruby-simple-captcha2_0.3.4-1_all.deb simplest and a robust captcha plugin for rails
Advertisement
Advertisement